<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| This file is where you may define all of the routes that are handled
| by your application. Just tell Laravel the URIs it should respond
| to using a Closure or controller method. Build something great!
|
*/

Auth::routes();
Route::get('/', 'HomeController@index');
Route::get('/Listbook', 'GuestController@index');
Route::get('/home', 'HomeController@index');
Route::group(['prefix'=>'admin', 'middleware'=>['auth']], function () {
  Route::resource('authors', 'AuthorsController');
   Route::resource('pegawai', 'PegawaiController');

    Route::resource('books', 'BooksController');
  Route::get('export/books', [
    'as'   => 'export.books',
    'uses' => 'BooksController@export'
  ]);
  Route::post('export/books', [
    'as'   => 'export.books.post',
    'uses' => 'BooksController@exportPost'
  ]);
});

Route::get('books/{book}/borrow', [
  'middleware' => ['auth'],
  'as'         => 'guest.books.borrow',
  'uses'       => 'BooksController@borrow'
]);

Route::put('books/{book}/return', [
  'middleware' => ['auth'],
  'as'         => 'member.books.return',
  'uses'       => 'BooksController@returnBack'
]);

Route::get('/test/{pass}', function ($pass){
    echo bcrypt($pass);
});